Bug 255843 - math/py-matplotlib: remove unused dependency on tcl
Summary: math/py-matplotlib: remove unused dependency on tcl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-13 14:58 UTC by Dmitry Marakasov
Modified: 2021-06-10 14:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mainland)


Attachments
Patch (786 bytes, patch)
2021-05-13 14:58 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2021-05-13 14:58:58 UTC
Created attachment 224903 [details]
Patch

tcl is not used by matplotlib, not mentioned in the build logs or the source, and it builds and runs fine without it.
Comment 1 Thierry Thomas freebsd_committer 2021-05-13 15:52:25 UTC
Note that by default we build the TkAgg back-end, which uses tkinter. Then, anyways, you get a dependency on TCL/Tk…
Comment 2 Dmitry Marakasov freebsd_committer 2021-05-13 18:54:43 UTC
(In reply to Thierry Thomas from comment #1)
Yes, it's pulled by tk, but still not used by matplotlib. In QT5AGGBACKEND case this removes tcl dependency for good.
Comment 3 commit-hook freebsd_committer 2021-06-10 14:04:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=559d03711fb87954a559e48186543a197f1aa4a9

commit 559d03711fb87954a559e48186543a197f1aa4a9
Author:     Dmitry Marakasov <amdmi3@FreeBSD.org>
AuthorDate: 2021-06-09 13:57:37 +0000
Commit:     Dmitry Marakasov <amdmi3@FreeBSD.org>
CommitDate: 2021-06-10 14:00:44 +0000

    math/py-matplotlib: remove unneded dependency on tcl

    PR:             255843
    Approved by:    maintainer timeout (mainland@apeiron.net, 1 month)

 math/py-matplotlib/Makefile | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)